<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer5: X:/kmTimer5.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">kmTimer5
   </div>
   <div id="projectbrief">kmTimer5 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('km_timer5_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">X:/kmTimer5.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="km_timer5_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef KMTIMER5_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define KMTIMER5_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#ifdef KM_DOXYGEN</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#define TIMSK5</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#define COM5C0</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#ifdef TIMSK5</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#include &lt;stddef.h&gt;</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#include &quot;../kmTimersCommon/kmTimer5Defs.h&quot;</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="km_timer5_8h.html#a0353cccf3820fe50dcf642c24f18a0ee">   54</a></span>&#160;<span class="preprocessor">#define KM_TIMER5_USER_DATA(X) (void *)(X)</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">   61</a></span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a>(<span class="keywordtype">void</span> *);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="km_timer5_8h.html#a3552fa1b6afa4e1e79f0bf4e6ec37a34">   76</a></span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a3552fa1b6afa4e1e79f0bf4e6ec37a34">kmTimer5InpCaptureCallbackType</a>(<span class="keyword">const</span> uint16_t, <span class="keyword">const</span> <span class="keywordtype">bool</span>, <span class="keyword">const</span> <span class="keywordtype">void</span> *);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">   81</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672">   83</a></span>&#160;    <a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672">KM_TCC5_PWM_OUT_A</a>,</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa14dd5774a69f68fe4e7d1d0ac4569679">   85</a></span>&#160;    <a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa14dd5774a69f68fe4e7d1d0ac4569679">KM_TCC5_PWM_OUT_B</a>,</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa17b8edd9dc56d7a04e7b663930fe9a58">KM_TCC5_PWM_OUT_C</a></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;} <a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">Tcc5PwmOut</a>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a471d507f4f78162899e48cc171b5a48b">kmTimer5InitOnPrescalerBottomToTopOvfCompABCInterruptCallback</a>(<span class="keyword">const</span> uint8_t prescaler);</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a3b63153a0bcd2b48fa9af6406a168934">kmTimer5InitOnAccuratePeriodGenerateOutputClockA</a>(<span class="keyword">const</span> uint32_t periodInMicroseconds);</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a6351652db5208e8478e09745df2a3882">kmTimer5InitOnAccurateTimeCompAInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> <span class="keywordtype">bool</span> outOnOC5A);</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#aba3168f114077e8e5a1d5bd689f87d4f">kmTimer5InitExternal</a>(<span class="keywordtype">bool</span> falling);</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ab6e5fb38a37df81ea8834c1e12e97ee5">kmTimer5InitOnAccurateTimeCompABInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, uint16_t phaseIntB);</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#abb2219024157f33f25e72d9ba5b630b7">kmTimer5InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedBconst, uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#abb2219024157f33f25e72d9ba5b630b7">kmTimer5InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedBconst);</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#ab5435dbe0dcc78050cac609a40d782c9">kmTimer5InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#ab5435dbe0dcc78050cac609a40d782c9">kmTimer5InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a8a70db2cf19dccecea1ed8405a387e42">kmTimer5InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a8a70db2cf19dccecea1ed8405a387e42">kmTimer5InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a75fc7ddf760ca77968e961f8cf5ce134">kmTimer5InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a75fc7ddf760ca77968e961f8cf5ce134">kmTimer5InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a82770d83116a14c472193185152019d3">kmTimer5InitInputCapture</a>(<span class="keyword">const</span> uint32_t iddleTimeMicroseconds,</div><div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;                            <span class="keywordtype">void</span> *iddleUserData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *iddleCallback,</div><div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;                            <span class="keywordtype">void</span> *inpCaptureUserData, <a class="code" href="km_timer5_8h.html#a3552fa1b6afa4e1e79f0bf4e6ec37a34">kmTimer5InpCaptureCallbackType</a> *inpCaptureCallback);</div><div class="line"><a name="l00411"></a><span class="lineno">  411</span>&#160;</div><div class="line"><a name="l00412"></a><span class="lineno">  412</span>&#160;<span class="comment">// Setters callback user data</span></div><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a5d6cb731e928ba17e088f597db451192">kmTimer5SetCallbackUserDataOVF</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;</div><div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a749d526cc8bfa39b3b37773752d45c05">kmTimer5SetCallbackUserDataCompA</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a3f2efd7c9201ffa74c6ae4cf71b3535b">kmTimer5SetCallbackUserDataCompB</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;</div><div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#aa5080a0c8b5dd743fb3840387786112b">kmTimer5SetCallbackUserDataCompC</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;</div><div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;<span class="comment">// Registering callbacks</span></div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a9bfc469630b54f3d64cac2e218c15d10">kmTimer5RegisterCallbackOVF</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *callback);</div><div class="line"><a name="l00483"></a><span class="lineno">  483</span>&#160;</div><div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;</div><div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#af41f7041458ed08a7e1f5f0a45b8f925">kmTimer5RegisterCallbackCompA</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *callback);</div><div class="line"><a name="l00503"></a><span class="lineno">  503</span>&#160;</div><div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;</div><div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ad6ab972eaa0adacd26b683c294e48a92">kmTimer5RegisterCallbackCompB</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *callback);</div><div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;</div><div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;</div><div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160;</div><div class="line"><a name="l00543"></a><span class="lineno">  543</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#aea98028fdf1c2115182aea6c174d091b">kmTimer5RegisterCallbackCompC</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *callback);</div><div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00545"></a><span class="lineno">  545</span>&#160;</div><div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a3627f056b0b116b102046048c94a36d9">kmTimer5RegisterCallbackInpCapture</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a3552fa1b6afa4e1e79f0bf4e6ec37a34">kmTimer5InpCaptureCallbackType</a> *callback);</div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;</div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;<span class="comment">// Unregistering callbacks</span></div><div class="line"><a name="l00569"></a><span class="lineno">  569</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ae29f5bbf60150fa3035d5ceb122c0e73">kmTimer5UnregisterCallbackOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00570"></a><span class="lineno">  570</span>&#160;</div><div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a93d71383f67be0cfc73d9a5db9cdbf22">kmTimer5UnregisterCallbackCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;</div><div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#aee22cf2a4a4da087f6b8dffd1a5c8ccc">kmTimer5UnregisterCallbackCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00580"></a><span class="lineno">  580</span>&#160;</div><div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00582"></a><span class="lineno">  582</span>&#160;</div><div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a882d911831f9da345e93527a5ee02510">kmTimer5UnregisterCallbackCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00586"></a><span class="lineno">  586</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00587"></a><span class="lineno">  587</span>&#160;</div><div class="line"><a name="l00591"></a><span class="lineno">  591</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#aba144179072da539ad49497e13829b05">kmTimer5UnregisterCallbackInpCapture</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00592"></a><span class="lineno">  592</span>&#160;</div><div class="line"><a name="l00593"></a><span class="lineno">  593</span>&#160;<span class="comment">// Enabling interrupts</span></div><div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ab66af5c2c26f9df16548c912cf3397a0">kmTimer5EnableInterruptOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00598"></a><span class="lineno">  598</span>&#160;</div><div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a9cb71e88842b49b6422dcc9f136da720">kmTimer5EnableInterruptCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00603"></a><span class="lineno">  603</span>&#160;</div><div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ad077307cfe22370939cf6373fe0692f5">kmTimer5EnableInterruptCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00608"></a><span class="lineno">  608</span>&#160;</div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;</div><div class="line"><a name="l00613"></a><span class="lineno">  613</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ac17b3f2e3ab99cffd52d5b9ed26dda7a">kmTimer5EnableInterruptCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00614"></a><span class="lineno">  614</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;</div><div class="line"><a name="l00630"></a><span class="lineno">  630</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ab579f50d204342a55617530be6873ff1">kmTimer5EnableInterruptInpCapture</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00631"></a><span class="lineno">  631</span>&#160;</div><div class="line"><a name="l00632"></a><span class="lineno">  632</span>&#160;<span class="comment">// Disabling interrupts</span></div><div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a8ddd1a3019bed09c6b28876aa3a96139">kmTimer5DisableInterruptsAll</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00637"></a><span class="lineno">  637</span>&#160;</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#af4e6cc554f30add4a75899326d7a4bab">kmTimer5DisableInterruptOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;</div><div class="line"><a name="l00646"></a><span class="lineno">  646</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#af9a9af03341eb9dd771783d36054dac2">kmTimer5DisableInterruptCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00647"></a><span class="lineno">  647</span>&#160;</div><div class="line"><a name="l00651"></a><span class="lineno">  651</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#af47ed0f82f1a58c23852ef0bbd0ab14d">kmTimer5DisableInterruptCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00652"></a><span class="lineno">  652</span>&#160;</div><div class="line"><a name="l00653"></a><span class="lineno">  653</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00654"></a><span class="lineno">  654</span>&#160;</div><div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ae8c56ed33e365bb30154de311ea93c1b">kmTimer5DisableInterruptCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00658"></a><span class="lineno">  658</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00659"></a><span class="lineno">  659</span>&#160;</div><div class="line"><a name="l00674"></a><span class="lineno">  674</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#aa30a2cc335ed7e499f8b79b9b786fe4c">kmTimer5SetValueOvf</a>(uint16_t value);</div><div class="line"><a name="l00675"></a><span class="lineno">  675</span>&#160;</div><div class="line"><a name="l00676"></a><span class="lineno">  676</span>&#160;<span class="comment">// Configuration of Comparator Outputs</span></div><div class="line"><a name="l00682"></a><span class="lineno">  682</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a5067db8e2bc8d2123a8d4c5b7cb66084">kmTimer5ConfigureOCA</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00683"></a><span class="lineno">  683</span>&#160;</div><div class="line"><a name="l00689"></a><span class="lineno">  689</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#afbd46ee102b15d810b0fcc565ae34792">kmTimer5ConfigureOCB</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00690"></a><span class="lineno">  690</span>&#160;</div><div class="line"><a name="l00696"></a><span class="lineno">  696</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#aca54e248c940c9a21e7ec2df79104ac5">kmTimer5ConfigureOCC</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00697"></a><span class="lineno">  697</span>&#160;</div><div class="line"><a name="l00698"></a><span class="lineno">  698</span>&#160;<span class="comment">// Controlling timer flow</span></div><div class="line"><a name="l00702"></a><span class="lineno">  702</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a55f61440bf7da7739225c939922471c7">kmTimer5Start</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00703"></a><span class="lineno">  703</span>&#160;</div><div class="line"><a name="l00707"></a><span class="lineno">  707</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a92ac9cfc675645448ddab6d6ff76a86a">kmTimer5Stop</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00708"></a><span class="lineno">  708</span>&#160;</div><div class="line"><a name="l00712"></a><span class="lineno">  712</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a3e3fc0ae63d72c7e8742c327dee1f81e">kmTimer5Restart</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00713"></a><span class="lineno">  713</span>&#160;</div><div class="line"><a name="l00714"></a><span class="lineno">  714</span>&#160;<span class="comment">// Controlling PWM</span></div><div class="line"><a name="l00722"></a><span class="lineno">  722</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a14ee745f5d87e28c4745f9d7dcc6bd5c">kmTimer5SetPwmDutyBottomToTop</a>(<a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">Tcc5PwmOut</a> pwmOut, uint16_t duty);</div><div class="line"><a name="l00731"></a><span class="lineno">  731</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a441d7cc64fb989f10f08df8599bc7e12">kmTimer5SetPwmDutyAccurateTimeModes</a>(uint16_t duty);</div><div class="line"><a name="l00732"></a><span class="lineno">  732</span>&#160;</div><div class="line"><a name="l00738"></a><span class="lineno">  738</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a24de52bb12757936a68738e2dcd296db">kmTimer5SetPwmInversion</a>(<a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">Tcc5PwmOut</a> pwmOut, <span class="keywordtype">bool</span> inverted);</div><div class="line"><a name="l00739"></a><span class="lineno">  739</span>&#160;</div><div class="line"><a name="l00740"></a><span class="lineno">  740</span>&#160;<span class="comment">// Timer flow calculations</span></div><div class="line"><a name="l00751"></a><span class="lineno">  751</span>&#160;<span class="comment"></span>uint16_t <a class="code" href="km_timer5_8h.html#afaed698648bc63c36291e3328de04a74">kmTimer5CalcPerdiod</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler);</div><div class="line"><a name="l00752"></a><span class="lineno">  752</span>&#160;</div><div class="line"><a name="l00766"></a><span class="lineno">  766</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#a26fa33e52bd7f0e2701f9530c70e6ee2">kmTimer5CalcPerdiodWithMinPwmAccuracy</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler, <span class="keyword">const</span> uint16_t minimumCycleAcuracy);</div><div class="line"><a name="l00767"></a><span class="lineno">  767</span>&#160;</div><div class="line"><a name="l00775"></a><span class="lineno">  775</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#a15fdc8fb6a56d08622e4d1f88ba232eb">kmTimer5CalcDutyOnCycles</a>(uint16_t duty, uint16_t cyclesRange);</div><div class="line"><a name="l00776"></a><span class="lineno">  776</span>&#160;</div><div class="line"><a name="l00777"></a><span class="lineno">  777</span>&#160;</div><div class="line"><a name="l00791"></a><span class="lineno">  791</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#aacf1b1ba8b3897b2043b826c004905c3">kmTimer5GetValueOvf</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00792"></a><span class="lineno">  792</span>&#160;</div><div class="line"><a name="l00806"></a><span class="lineno">  806</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#a041b98a6975619325eb412c7dcfd7abb">kmTimer5GetValueCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00807"></a><span class="lineno">  807</span>&#160;</div><div class="line"><a name="l00821"></a><span class="lineno">  821</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#a04ba53b30510ac23f7ee12848ec76361">kmTimer5GetValueCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00822"></a><span class="lineno">  822</span>&#160;</div><div class="line"><a name="l00823"></a><span class="lineno">  823</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00824"></a><span class="lineno">  824</span>&#160;</div><div class="line"><a name="l00837"></a><span class="lineno">  837</span>&#160;uint16_t <a class="code" href="km_timer5_8h.html#a0a5944366eb7d6171e73473513922c49">kmTimer5GetValueCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00838"></a><span class="lineno">  838</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00839"></a><span class="lineno">  839</span>&#160;</div><div class="line"><a name="l00854"></a><span class="lineno">  854</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#aa30a2cc335ed7e499f8b79b9b786fe4c">kmTimer5SetValueOvf</a>(uint16_t value);</div><div class="line"><a name="l00855"></a><span class="lineno">  855</span>&#160;</div><div class="line"><a name="l00869"></a><span class="lineno">  869</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a3516dc4418080892c6b4a47ee8d74279">kmTimer5SetValueCompA</a>(uint16_t value);</div><div class="line"><a name="l00870"></a><span class="lineno">  870</span>&#160;</div><div class="line"><a name="l00884"></a><span class="lineno">  884</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#ada7c0ecf65e31fd960e419e80285130e">kmTimer5SetValueCompB</a>(uint16_t value);</div><div class="line"><a name="l00885"></a><span class="lineno">  885</span>&#160;</div><div class="line"><a name="l00886"></a><span class="lineno">  886</span>&#160;<span class="preprocessor">#ifdef COM5C0</span></div><div class="line"><a name="l00887"></a><span class="lineno">  887</span>&#160;</div><div class="line"><a name="l00900"></a><span class="lineno">  900</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a8071f144452fa1c63202195f332a5e8f">kmTimer5SetValueCompC</a>(uint16_t value);</div><div class="line"><a name="l00901"></a><span class="lineno">  901</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00902"></a><span class="lineno">  902</span>&#160;</div><div class="line"><a name="l00923"></a><span class="lineno">  923</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="km_timer5_8h.html#a1b6a1d922480a3aca63a1b9a7546a75a">kmTimer5InpCaputureGetState</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00924"></a><span class="lineno">  924</span>&#160;</div><div class="line"><a name="l00938"></a><span class="lineno">  938</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#af686273d29a3bfaaf45d85a152894aa1">kmTimer5Init</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t modeA, <span class="keyword">const</span> uint8_t modeB);</div><div class="line"><a name="l00939"></a><span class="lineno">  939</span>&#160;</div><div class="line"><a name="l00945"></a><span class="lineno">  945</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a55f61440bf7da7739225c939922471c7">kmTimer5Start</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00946"></a><span class="lineno">  946</span>&#160;</div><div class="line"><a name="l00952"></a><span class="lineno">  952</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a92ac9cfc675645448ddab6d6ff76a86a">kmTimer5Stop</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00953"></a><span class="lineno">  953</span>&#160;</div><div class="line"><a name="l00959"></a><span class="lineno">  959</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a3e3fc0ae63d72c7e8742c327dee1f81e">kmTimer5Restart</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00960"></a><span class="lineno">  960</span>&#160;</div><div class="line"><a name="l00961"></a><span class="lineno">  961</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIMSK5 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00962"></a><span class="lineno">  962</span>&#160;</div><div class="line"><a name="l00963"></a><span class="lineno">  963</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00964"></a><span class="lineno">  964</span>&#160;}</div><div class="line"><a name="l00965"></a><span class="lineno">  965</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/*  __cplusplus */</span><span class="preprocessor"></span></div><div class="line"><a name="l00966"></a><span class="lineno">  966</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* KMTIMER5_H_ */</span><span class="preprocessor"></span></div><div class="line"><a name="l00967"></a><span class="lineno">  967</span>&#160;</div><div class="ttc" id="km_timer5_8h_html_ab6e5fb38a37df81ea8834c1e12e97ee5"><div class="ttname"><a href="km_timer5_8h.html#ab6e5fb38a37df81ea8834c1e12e97ee5">kmTimer5InitOnAccurateTimeCompABInterruptCallback</a></div><div class="ttdeci">void kmTimer5InitOnAccurateTimeCompABInterruptCallback(const uint32_t microseconds, uint16_t phaseIntB)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:175</div></div>
<div class="ttc" id="km_timer5_8h_html_a749d526cc8bfa39b3b37773752d45c05"><div class="ttname"><a href="km_timer5_8h.html#a749d526cc8bfa39b3b37773752d45c05">kmTimer5SetCallbackUserDataCompA</a></div><div class="ttdeci">void kmTimer5SetCallbackUserDataCompA(void *userData)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:663</div></div>
<div class="ttc" id="km_timer5_8h_html_aba3168f114077e8e5a1d5bd689f87d4f"><div class="ttname"><a href="km_timer5_8h.html#aba3168f114077e8e5a1d5bd689f87d4f">kmTimer5InitExternal</a></div><div class="ttdeci">void kmTimer5InitExternal(bool falling)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:329</div></div>
<div class="ttc" id="km_timer5_8h_html_ab5435dbe0dcc78050cac609a40d782c9"><div class="ttname"><a href="km_timer5_8h.html#ab5435dbe0dcc78050cac609a40d782c9">kmTimer5InitOnAccurateTimePcPwm</a></div><div class="ttdeci">uint16_t kmTimer5InitOnAccurateTimePcPwm(const uint32_t microseconds, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer5_8h_html_a8071f144452fa1c63202195f332a5e8f"><div class="ttname"><a href="km_timer5_8h.html#a8071f144452fa1c63202195f332a5e8f">kmTimer5SetValueCompC</a></div><div class="ttdeci">void kmTimer5SetValueCompC(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 5 Compare C.</div></div>
<div class="ttc" id="km_timer5_8h_html_aca54e248c940c9a21e7ec2df79104ac5"><div class="ttname"><a href="km_timer5_8h.html#aca54e248c940c9a21e7ec2df79104ac5">kmTimer5ConfigureOCC</a></div><div class="ttdeci">void kmTimer5ConfigureOCC(uint8_t compareOutputMode)</div></div>
<div class="ttc" id="km_timer5_8h_html_ab66af5c2c26f9df16548c912cf3397a0"><div class="ttname"><a href="km_timer5_8h.html#ab66af5c2c26f9df16548c912cf3397a0">kmTimer5EnableInterruptOVF</a></div><div class="ttdeci">void kmTimer5EnableInterruptOVF(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:564</div></div>
<div class="ttc" id="km_timer5_8h_html_a24de52bb12757936a68738e2dcd296db"><div class="ttname"><a href="km_timer5_8h.html#a24de52bb12757936a68738e2dcd296db">kmTimer5SetPwmInversion</a></div><div class="ttdeci">void kmTimer5SetPwmInversion(Tcc5PwmOut pwmOut, bool inverted)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:421</div></div>
<div class="ttc" id="km_timer5_8h_html_a441d7cc64fb989f10f08df8599bc7e12"><div class="ttname"><a href="km_timer5_8h.html#a441d7cc64fb989f10f08df8599bc7e12">kmTimer5SetPwmDutyAccurateTimeModes</a></div><div class="ttdeci">void kmTimer5SetPwmDutyAccurateTimeModes(uint16_t duty)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:358</div></div>
<div class="ttc" id="km_timer5_8h_html_aacf1b1ba8b3897b2043b826c004905c3"><div class="ttname"><a href="km_timer5_8h.html#aacf1b1ba8b3897b2043b826c004905c3">kmTimer5GetValueOvf</a></div><div class="ttdeci">uint16_t kmTimer5GetValueOvf(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 5 Overflow.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:527</div></div>
<div class="ttc" id="km_timer5_8h_html_aba144179072da539ad49497e13829b05"><div class="ttname"><a href="km_timer5_8h.html#aba144179072da539ad49497e13829b05">kmTimer5UnregisterCallbackInpCapture</a></div><div class="ttdeci">void kmTimer5UnregisterCallbackInpCapture(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:647</div></div>
<div class="ttc" id="km_timer5_8h_html_ae8c56ed33e365bb30154de311ea93c1b"><div class="ttname"><a href="km_timer5_8h.html#ae8c56ed33e365bb30154de311ea93c1b">kmTimer5DisableInterruptCompC</a></div><div class="ttdeci">void kmTimer5DisableInterruptCompC(void)</div></div>
<div class="ttc" id="km_timer5_8h_html_ada7c0ecf65e31fd960e419e80285130e"><div class="ttname"><a href="km_timer5_8h.html#ada7c0ecf65e31fd960e419e80285130e">kmTimer5SetValueCompB</a></div><div class="ttdeci">void kmTimer5SetValueCompB(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 5 Compare B.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:517</div></div>
<div class="ttc" id="km_timer5_8h_html_a471d507f4f78162899e48cc171b5a48b"><div class="ttname"><a href="km_timer5_8h.html#a471d507f4f78162899e48cc171b5a48b">kmTimer5InitOnPrescalerBottomToTopOvfCompABCInterruptCallback</a></div><div class="ttdeci">void kmTimer5InitOnPrescalerBottomToTopOvfCompABCInterruptCallback(const uint8_t prescaler)</div><div class="ttdoc">Initializes Timer 5 in a mode allowing the use of CompA, CompB, CompC, and Overflow Interrupts launch...</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:160</div></div>
<div class="ttc" id="km_timer5_8h_html_aa5080a0c8b5dd743fb3840387786112b"><div class="ttname"><a href="km_timer5_8h.html#aa5080a0c8b5dd743fb3840387786112b">kmTimer5SetCallbackUserDataCompC</a></div><div class="ttdeci">void kmTimer5SetCallbackUserDataCompC(void *userData)</div></div>
<div class="ttc" id="km_timer5_8h_html_ae29f5bbf60150fa3035d5ceb122c0e73"><div class="ttname"><a href="km_timer5_8h.html#ae29f5bbf60150fa3035d5ceb122c0e73">kmTimer5UnregisterCallbackOVF</a></div><div class="ttdeci">void kmTimer5UnregisterCallbackOVF(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:643</div></div>
<div class="ttc" id="km_timer5_8h_html_af4e6cc554f30add4a75899326d7a4bab"><div class="ttname"><a href="km_timer5_8h.html#af4e6cc554f30add4a75899326d7a4bab">kmTimer5DisableInterruptOVF</a></div><div class="ttdeci">void kmTimer5DisableInterruptOVF(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:586</div></div>
<div class="ttc" id="km_timer5_8h_html_afbd46ee102b15d810b0fcc565ae34792"><div class="ttname"><a href="km_timer5_8h.html#afbd46ee102b15d810b0fcc565ae34792">kmTimer5ConfigureOCB</a></div><div class="ttdeci">void kmTimer5ConfigureOCB(uint8_t compareOutputMode)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:481</div></div>
<div class="ttc" id="km_timer5_8h_html_a82770d83116a14c472193185152019d3"><div class="ttname"><a href="km_timer5_8h.html#a82770d83116a14c472193185152019d3">kmTimer5InitInputCapture</a></div><div class="ttdeci">void kmTimer5InitInputCapture(const uint32_t iddleTimeMicroseconds, void *iddleUserData, kmTimer5CallbackType *iddleCallback, void *inpCaptureUserData, kmTimer5InpCaptureCallbackType *inpCaptureCallback)</div><div class="ttdoc">Initializes Timer/Counter 5 for input capture with specified parameters.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:337</div></div>
<div class="ttc" id="km_timer5_8h_html_a3552fa1b6afa4e1e79f0bf4e6ec37a34"><div class="ttname"><a href="km_timer5_8h.html#a3552fa1b6afa4e1e79f0bf4e6ec37a34">kmTimer5InpCaptureCallbackType</a></div><div class="ttdeci">void kmTimer5InpCaptureCallbackType(const uint16_t, const bool, const void *)</div><div class="ttdoc">Callback type for Timer 5 input capture events.</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:76</div></div>
<div class="ttc" id="km_timer5_8h_html_af9a9af03341eb9dd771783d36054dac2"><div class="ttname"><a href="km_timer5_8h.html#af9a9af03341eb9dd771783d36054dac2">kmTimer5DisableInterruptCompA</a></div><div class="ttdeci">void kmTimer5DisableInterruptCompA(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:572</div></div>
<div class="ttc" id="km_timer5_8h_html_a0f28846aecb364d82c5a8fd322727ac5"><div class="ttname"><a href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a></div><div class="ttdeci">void kmTimer5CallbackType(void *)</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:61</div></div>
<div class="ttc" id="km_timer5_8h_html_a3b63153a0bcd2b48fa9af6406a168934"><div class="ttname"><a href="km_timer5_8h.html#a3b63153a0bcd2b48fa9af6406a168934">kmTimer5InitOnAccuratePeriodGenerateOutputClockA</a></div><div class="ttdeci">void kmTimer5InitOnAccuratePeriodGenerateOutputClockA(const uint32_t periodInMicroseconds)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:164</div></div>
<div class="ttc" id="km_timer5_8h_html_a15fdc8fb6a56d08622e4d1f88ba232eb"><div class="ttname"><a href="km_timer5_8h.html#a15fdc8fb6a56d08622e4d1f88ba232eb">kmTimer5CalcDutyOnCycles</a></div><div class="ttdeci">uint16_t kmTimer5CalcDutyOnCycles(uint16_t duty, uint16_t cyclesRange)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:353</div></div>
<div class="ttc" id="km_timer5_8h_html_a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672"><div class="ttname"><a href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672">KM_TCC5_PWM_OUT_A</a></div><div class="ttdoc">PWM on output A.</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:83</div></div>
<div class="ttc" id="km_timer5_8h_html_aee22cf2a4a4da087f6b8dffd1a5c8ccc"><div class="ttname"><a href="km_timer5_8h.html#aee22cf2a4a4da087f6b8dffd1a5c8ccc">kmTimer5UnregisterCallbackCompB</a></div><div class="ttdeci">void kmTimer5UnregisterCallbackCompB(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:633</div></div>
<div class="ttc" id="km_timer5_8h_html_aa30a2cc335ed7e499f8b79b9b786fe4c"><div class="ttname"><a href="km_timer5_8h.html#aa30a2cc335ed7e499f8b79b9b786fe4c">kmTimer5SetValueOvf</a></div><div class="ttdeci">void kmTimer5SetValueOvf(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 5 Overflow.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:509</div></div>
<div class="ttc" id="km_timer5_8h_html_a93d71383f67be0cfc73d9a5db9cdbf22"><div class="ttname"><a href="km_timer5_8h.html#a93d71383f67be0cfc73d9a5db9cdbf22">kmTimer5UnregisterCallbackCompA</a></div><div class="ttdeci">void kmTimer5UnregisterCallbackCompA(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:629</div></div>
<div class="ttc" id="km_timer5_8h_html_a1b6a1d922480a3aca63a1b9a7546a75a"><div class="ttname"><a href="km_timer5_8h.html#a1b6a1d922480a3aca63a1b9a7546a75a">kmTimer5InpCaputureGetState</a></div><div class="ttdeci">bool kmTimer5InpCaputureGetState(void)</div><div class="ttdoc">Gets the state of Timer/Counter 5 Input Capture pin.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:683</div></div>
<div class="ttc" id="km_timer5_8h_html_a3627f056b0b116b102046048c94a36d9"><div class="ttname"><a href="km_timer5_8h.html#a3627f056b0b116b102046048c94a36d9">kmTimer5RegisterCallbackInpCapture</a></div><div class="ttdeci">void kmTimer5RegisterCallbackInpCapture(void *userData, kmTimer5InpCaptureCallbackType *callback)</div><div class="ttdoc">Register a callback function for Timer 5 input capture event.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:624</div></div>
<div class="ttc" id="km_timer5_8h_html_a8a70db2cf19dccecea1ed8405a387e42"><div class="ttname"><a href="km_timer5_8h.html#a8a70db2cf19dccecea1ed8405a387e42">kmTimer5InitOnPrescalerBottomToTopFastPwm</a></div><div class="ttdeci">void kmTimer5InitOnPrescalerBottomToTopFastPwm(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer5_8h_html_a28daf874cf0c73fdd6bedb01b4ea165a"><div class="ttname"><a href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">Tcc5PwmOut</a></div><div class="ttdeci">Tcc5PwmOut</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:81</div></div>
<div class="ttc" id="km_timer5_8h_html_a3e3fc0ae63d72c7e8742c327dee1f81e"><div class="ttname"><a href="km_timer5_8h.html#a3e3fc0ae63d72c7e8742c327dee1f81e">kmTimer5Restart</a></div><div class="ttdeci">void kmTimer5Restart(void)</div><div class="ttdoc">Restarts Timer 5 by resetting its counter value to zero.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:463</div></div>
<div class="ttc" id="km_timer5_8h_html_a6351652db5208e8478e09745df2a3882"><div class="ttname"><a href="km_timer5_8h.html#a6351652db5208e8478e09745df2a3882">kmTimer5InitOnAccurateTimeCompAInterruptCallback</a></div><div class="ttdeci">void kmTimer5InitOnAccurateTimeCompAInterruptCallback(const uint32_t microseconds, const bool outOnOC5A)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:168</div></div>
<div class="ttc" id="km_timer5_8h_html_af686273d29a3bfaaf45d85a152894aa1"><div class="ttname"><a href="km_timer5_8h.html#af686273d29a3bfaaf45d85a152894aa1">kmTimer5Init</a></div><div class="ttdeci">void kmTimer5Init(const uint8_t prescaler, const uint8_t modeA, const uint8_t modeB)</div><div class="ttdoc">Initializes Timer 5 with the specified prescaler and modes.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:153</div></div>
<div class="ttc" id="km_timer5_8h_html_a75fc7ddf760ca77968e961f8cf5ce134"><div class="ttname"><a href="km_timer5_8h.html#a75fc7ddf760ca77968e961f8cf5ce134">kmTimer5InitOnPrescalerBottomToTopPcPwm</a></div><div class="ttdeci">void kmTimer5InitOnPrescalerBottomToTopPcPwm(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer5_8h_html_a26fa33e52bd7f0e2701f9530c70e6ee2"><div class="ttname"><a href="km_timer5_8h.html#a26fa33e52bd7f0e2701f9530c70e6ee2">kmTimer5CalcPerdiodWithMinPwmAccuracy</a></div><div class="ttdeci">uint16_t kmTimer5CalcPerdiodWithMinPwmAccuracy(const uint32_t microseconds, uint8_t *prescaler, const uint16_t minimumCycleAcuracy)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:411</div></div>
<div class="ttc" id="km_timer5_8h_html_af47ed0f82f1a58c23852ef0bbd0ab14d"><div class="ttname"><a href="km_timer5_8h.html#af47ed0f82f1a58c23852ef0bbd0ab14d">kmTimer5DisableInterruptCompB</a></div><div class="ttdeci">void kmTimer5DisableInterruptCompB(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:576</div></div>
<div class="ttc" id="km_timer5_8h_html_a55f61440bf7da7739225c939922471c7"><div class="ttname"><a href="km_timer5_8h.html#a55f61440bf7da7739225c939922471c7">kmTimer5Start</a></div><div class="ttdeci">void kmTimer5Start(void)</div><div class="ttdoc">Starts Timer 5 with the previously configured prescaler.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:455</div></div>
<div class="ttc" id="km_timer5_8h_html_a04ba53b30510ac23f7ee12848ec76361"><div class="ttname"><a href="km_timer5_8h.html#a04ba53b30510ac23f7ee12848ec76361">kmTimer5GetValueCompB</a></div><div class="ttdeci">uint16_t kmTimer5GetValueCompB(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 5 Compare B.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:535</div></div>
<div class="ttc" id="km_timer5_8h_html_a28daf874cf0c73fdd6bedb01b4ea165aa14dd5774a69f68fe4e7d1d0ac4569679"><div class="ttname"><a href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa14dd5774a69f68fe4e7d1d0ac4569679">KM_TCC5_PWM_OUT_B</a></div><div class="ttdoc">PWM on output B.</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:85</div></div>
<div class="ttc" id="km_timer5_8h_html_abb2219024157f33f25e72d9ba5b630b7"><div class="ttname"><a href="km_timer5_8h.html#abb2219024157f33f25e72d9ba5b630b7">kmTimer5InitOnAccurateTimeFastPwm</a></div><div class="ttdeci">uint16_t kmTimer5InitOnAccurateTimeFastPwm(const uint32_t microseconds, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedBconst, uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer5_8h_html_ad6ab972eaa0adacd26b683c294e48a92"><div class="ttname"><a href="km_timer5_8h.html#ad6ab972eaa0adacd26b683c294e48a92">kmTimer5RegisterCallbackCompB</a></div><div class="ttdeci">void kmTimer5RegisterCallbackCompB(void *userData, kmTimer5CallbackType *callback)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:607</div></div>
<div class="ttc" id="km_timer5_8h_html_a041b98a6975619325eb412c7dcfd7abb"><div class="ttname"><a href="km_timer5_8h.html#a041b98a6975619325eb412c7dcfd7abb">kmTimer5GetValueCompA</a></div><div class="ttdeci">uint16_t kmTimer5GetValueCompA(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 5 Compare A.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:531</div></div>
<div class="ttc" id="km_timer5_8h_html_a5067db8e2bc8d2123a8d4c5b7cb66084"><div class="ttname"><a href="km_timer5_8h.html#a5067db8e2bc8d2123a8d4c5b7cb66084">kmTimer5ConfigureOCA</a></div><div class="ttdeci">void kmTimer5ConfigureOCA(uint8_t compareOutputMode)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:467</div></div>
<div class="ttc" id="km_timer5_8h_html_a9bfc469630b54f3d64cac2e218c15d10"><div class="ttname"><a href="km_timer5_8h.html#a9bfc469630b54f3d64cac2e218c15d10">kmTimer5RegisterCallbackOVF</a></div><div class="ttdeci">void kmTimer5RegisterCallbackOVF(void *userData, kmTimer5CallbackType *callback)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:619</div></div>
<div class="ttc" id="km_timer5_8h_html_af41f7041458ed08a7e1f5f0a45b8f925"><div class="ttname"><a href="km_timer5_8h.html#af41f7041458ed08a7e1f5f0a45b8f925">kmTimer5RegisterCallbackCompA</a></div><div class="ttdeci">void kmTimer5RegisterCallbackCompA(void *userData, kmTimer5CallbackType *callback)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:602</div></div>
<div class="ttc" id="km_timer5_8h_html_a28daf874cf0c73fdd6bedb01b4ea165aa17b8edd9dc56d7a04e7b663930fe9a58"><div class="ttname"><a href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa17b8edd9dc56d7a04e7b663930fe9a58">KM_TCC5_PWM_OUT_C</a></div><div class="ttdoc">PWM on output C.</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:88</div></div>
<div class="ttc" id="km_timer5_8h_html_a8ddd1a3019bed09c6b28876aa3a96139"><div class="ttname"><a href="km_timer5_8h.html#a8ddd1a3019bed09c6b28876aa3a96139">kmTimer5DisableInterruptsAll</a></div><div class="ttdeci">void kmTimer5DisableInterruptsAll(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:594</div></div>
<div class="ttc" id="km_timer5_8h_html_a14ee745f5d87e28c4745f9d7dcc6bd5c"><div class="ttname"><a href="km_timer5_8h.html#a14ee745f5d87e28c4745f9d7dcc6bd5c">kmTimer5SetPwmDutyBottomToTop</a></div><div class="ttdeci">void kmTimer5SetPwmDutyBottomToTop(Tcc5PwmOut pwmOut, uint16_t duty)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:362</div></div>
<div class="ttc" id="km_timer5_8h_html_ad077307cfe22370939cf6373fe0692f5"><div class="ttname"><a href="km_timer5_8h.html#ad077307cfe22370939cf6373fe0692f5">kmTimer5EnableInterruptCompB</a></div><div class="ttdeci">void kmTimer5EnableInterruptCompB(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:554</div></div>
<div class="ttc" id="km_timer5_8h_html_afaed698648bc63c36291e3328de04a74"><div class="ttname"><a href="km_timer5_8h.html#afaed698648bc63c36291e3328de04a74">kmTimer5CalcPerdiod</a></div><div class="ttdeci">uint16_t kmTimer5CalcPerdiod(const uint32_t microseconds, uint8_t *prescaler)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:384</div></div>
<div class="ttc" id="km_timer5_8h_html_a3f2efd7c9201ffa74c6ae4cf71b3535b"><div class="ttname"><a href="km_timer5_8h.html#a3f2efd7c9201ffa74c6ae4cf71b3535b">kmTimer5SetCallbackUserDataCompB</a></div><div class="ttdeci">void kmTimer5SetCallbackUserDataCompB(void *userData)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:669</div></div>
<div class="ttc" id="km_timer5_8h_html_a0a5944366eb7d6171e73473513922c49"><div class="ttname"><a href="km_timer5_8h.html#a0a5944366eb7d6171e73473513922c49">kmTimer5GetValueCompC</a></div><div class="ttdeci">uint16_t kmTimer5GetValueCompC(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 5 Compare C.</div></div>
<div class="ttc" id="km_timer5_8h_html_ac17b3f2e3ab99cffd52d5b9ed26dda7a"><div class="ttname"><a href="km_timer5_8h.html#ac17b3f2e3ab99cffd52d5b9ed26dda7a">kmTimer5EnableInterruptCompC</a></div><div class="ttdeci">void kmTimer5EnableInterruptCompC(void)</div></div>
<div class="ttc" id="km_timer5_8h_html_a9cb71e88842b49b6422dcc9f136da720"><div class="ttname"><a href="km_timer5_8h.html#a9cb71e88842b49b6422dcc9f136da720">kmTimer5EnableInterruptCompA</a></div><div class="ttdeci">void kmTimer5EnableInterruptCompA(void)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:550</div></div>
<div class="ttc" id="km_timer5_8h_html_a882d911831f9da345e93527a5ee02510"><div class="ttname"><a href="km_timer5_8h.html#a882d911831f9da345e93527a5ee02510">kmTimer5UnregisterCallbackCompC</a></div><div class="ttdeci">void kmTimer5UnregisterCallbackCompC(void)</div></div>
<div class="ttc" id="km_timer5_8h_html_a3516dc4418080892c6b4a47ee8d74279"><div class="ttname"><a href="km_timer5_8h.html#a3516dc4418080892c6b4a47ee8d74279">kmTimer5SetValueCompA</a></div><div class="ttdeci">void kmTimer5SetValueCompA(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 5 Compare A.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:513</div></div>
<div class="ttc" id="km_timer5_8h_html_ab579f50d204342a55617530be6873ff1"><div class="ttname"><a href="km_timer5_8h.html#ab579f50d204342a55617530be6873ff1">kmTimer5EnableInterruptInpCapture</a></div><div class="ttdeci">void kmTimer5EnableInterruptInpCapture(void)</div><div class="ttdoc">Enables Timer/Counter 5 Input Capture Interrupt.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:568</div></div>
<div class="ttc" id="km_timer5_8h_html_a5d6cb731e928ba17e088f597db451192"><div class="ttname"><a href="km_timer5_8h.html#a5d6cb731e928ba17e088f597db451192">kmTimer5SetCallbackUserDataOVF</a></div><div class="ttdeci">void kmTimer5SetCallbackUserDataOVF(void *userData)</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:651</div></div>
<div class="ttc" id="km_timer5_8h_html_a92ac9cfc675645448ddab6d6ff76a86a"><div class="ttname"><a href="km_timer5_8h.html#a92ac9cfc675645448ddab6d6ff76a86a">kmTimer5Stop</a></div><div class="ttdeci">void kmTimer5Stop(void)</div><div class="ttdoc">Stops Timer 5.</div><div class="ttdef"><b>Definition:</b> kmTimer5.c:459</div></div>
<div class="ttc" id="km_timer5_8h_html_aea98028fdf1c2115182aea6c174d091b"><div class="ttname"><a href="km_timer5_8h.html#aea98028fdf1c2115182aea6c174d091b">kmTimer5RegisterCallbackCompC</a></div><div class="ttdeci">void kmTimer5RegisterCallbackCompC(void *userData, kmTimer5CallbackType *callback)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer5_8h.html">kmTimer5.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.15 </li>
  </ul>
</div>
</body>
</html>
